org.springframework.ldap.transaction.compensating.manager

## Class DirContextHolder

- java.lang.Object
- - org.springframework.transaction.support.ResourceHolderSupport
  - - org.springframework.transaction.compensating.support.CompensatingTransactionHolderSupport
    - - org.springframework.ldap.transaction.compensating.manager.DirContextHolder

- All Implemented Interfaces:
    ResourceHolder

      public class DirContextHolder
      extends CompensatingTransactionHolderSupport

  Keeps track of the transaction DirContext. The same DirContext instance will be reused throughout a transaction. Also keeps a `CompensatingTransactionOperationManager`, responsible for performing operations and keeping track of all changes and storing information necessary for commit or rollback.
  Since:
    1.2
  Author:
    Mattias Hellborg Arthursson

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirContextHolder(CompensatingTransactionOperationManager manager, DirContext ctx)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DirContext` | `getCtx()` Return the DirContext associated with the current transaction.
    `protected Object` | `getTransactedResource()` Get the actual transacted resource.
    `void` | `setCtx(DirContext ctx)` Set the DirContext associated with the current transaction.

    - ### Methods inherited from class org.springframework.transaction.compensating.support.CompensatingTransactionHolderSupport

      `clear, getTransactionOperationManager, setTransactionOperationManager`

    - ### Methods inherited from class org.springframework.transaction.support.ResourceHolderSupport

      `getDeadline, getTimeToLiveInMillis, getTimeToLiveInSeconds, hasTimeout, isOpen, isRollbackOnly, isSynchronizedWithTransaction, isVoid, released, requested, reset, setRollbackOnly, setSynchronizedWithTransaction, setTimeoutInMillis, setTimeoutInSeconds, unbound`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DirContextHolder

          public DirContextHolder(CompensatingTransactionOperationManager manager,
                                  DirContext ctx)

      Constructor.
      Parameters:
        `manager` - The `CompensatingTransactionOperationManager`.
        `ctx` - The DirContext associated with the current transaction.

  - ### Method Detail

    - #### setCtx

          public void setCtx(DirContext ctx)

      Set the DirContext associated with the current transaction.
      Parameters:
        `ctx` - The DirContext associated with the current transaction.

    - #### getCtx

          public DirContext getCtx()

      Return the DirContext associated with the current transaction.

    - #### getTransactedResource

          protected Object getTransactedResource()

      Description copied from class: `CompensatingTransactionHolderSupport`
      Get the actual transacted resource.
      Specified by:
        `getTransactedResource` in class `CompensatingTransactionHolderSupport`
      Returns:
        the transaction's target resource